@import "config";
@import "media";


.winners-container {
    display: flex;
    --gap: #{$space * 5};
    gap: var(--gap);

    @include small-desktop {
        flex-direction: column;
    }

    .filter-winners-container {
        flex-grow: 1;
        flex-basis: 25%;

        @include small-desktop {
            margin-bottom: $space * 8;
        }
    }

    .winners-list-container {
        flex-grow: 3;
        flex-basis: 75%;

        .winners-list-header {
            font-size: $font-size-xxxlarge;
            margin-bottom: $space * 12;
        }

        .person-vote-card {
            flex-basis: calc(33.33% - var(--gap));

            @include tablet {
                flex-basis: calc(50% - var(--gap));
            }

            @include phone {
                flex-basis: 100%;
            }
        }
    }

    .winners-filter {
        display: flex;
        flex-direction: column;
        gap: $space * 8;

        @include only-small-desktop {
            flex-direction: row;

            .winners-filter-category {
                flex-grow: 1;
                flex-basis: 50%;
            }
        }

        .winners-filter-category-title {
            background-color: #FFFFFF;
            color: $color-accent;
            font-size: $font-size-large;
            padding: $space * 2 $space * 4;
            border-radius: 1em;
            display: flex;
            justify-content: space-between;
            align-items: center;

            @include small-desktop {
                cursor: pointer;
            }

            .caret-down {
                width: 15px;
                height: 15px;

                @include desktop {
                    display: none;
                }
            }
        }

        .winners-filter-items {
            display: flex;
            flex-direction: column;

            @include small-desktop {
                &:not(.opened) {
                    display: none;
                }
            }

            .winners-filter-item-label {
                padding: $space * 4;
                cursor: pointer;

                *:checked + span {
                    font-weight: 600;
                }
            }

            .winners-filter-item {
                display: none;
            }
        }
    }
}
